using UnityEngine;
using System.Collections;

public class TouchSpawner : MonoBehaviour {
	void Update () {
		for(int i = 0; i < LeapInput.touches.Count; ++i) {
			if (LeapInput.touches[i].phase != TouchPhase.Began) continue;
			Vector2 touchPosition = LeapInput.touches[i].position;
			Vector3 screenPoint = new Vector3(touchPosition.x, touchPosition.y, 10.0f);
			GameObject box = Instantiate(Resources.Load("Prefabs/Cube")) as GameObject;
			box.transform.position = Camera.main.ScreenToWorldPoint(screenPoint);
		}
	}
}
