using UnityEngine;
using System.Collections;
using System.Collections.Generic;

public class TouchTrails : MonoBehaviour {
	Dictionary<int, GameObject> m_trails = new Dictionary<int, GameObject>();
	
	void Update () {
		for(int i = 0; i < LeapInput.touches.Count; ++i) {
			
			Vector2 touchPosition = LeapInput.touches[i].position;
			
			Vector3 screenPoint = new Vector3(touchPosition.x, touchPosition.y, 20.0f);
			
			if (LeapInput.touches[i].phase == TouchPhase.Began) {
				m_trails.Add(LeapInput.touches[i].touchId, Instantiate(Resources.Load("Prefabs/Trail")) as GameObject);
			}
			
			m_trails[LeapInput.touches[i].touchId].transform.position = Camera.main.ScreenToWorldPoint(screenPoint);
		}
	}
}
